/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomNodeList_H__
#define __GdomNodeList_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "gdom/GdomNode.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomNodeList GdomNodeList;
typedef struct _GdomNodeListClass GdomNodeListClass;


#define GDOM_TYPE_NODE_LIST            (gdom_node_list_get_type())
#define GDOM_NODE_LIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_NODE_LIST, GdomNodeList))
#define GDOM_NODE_LIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_NODE_LIST, GdomNodeList)Class)
#define GDOM_IS_NODE_LIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_NODE_LIST))
#define GDOM_IS_NODE_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_NODE_LIST))
#define GDOM_NODE_LIST_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_NODE_LIST, GdomNodeListClass))

typedef struct _GdomNodeListPrivate GdomNodeListPrivate;

struct _GdomNodeList {
    GdomDOMObject parent_instance;
    GdomNodeListPrivate *priv;
};

struct _GdomNodeListClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_node_list_get_type (void);

WEBKIT_API GdomNode *
gdom_node_list_item (GdomNodeList *thiz, gulong index);

G_END_DECLS

#endif /* __GdomNodeList_H__ */
